CertificationRequest (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.pkcs

## Class CertificationRequest

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.pkcs.CertificationRequest

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class CertificationRequest
      extends ASN1Object

  PKCS10 Certification request object.

       CertificationRequest ::= SEQUENCE {
         certificationRequestInfo  CertificationRequestInfo,
         signatureAlgorithm        AlgorithmIdentifier{{ SignatureAlgorithms }},
         signature                 BIT STRING
       }

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CertificationRequestInfo` | `reqInfo`
    `protected AlgorithmIdentifier` | `sigAlgId`
    `protected ASN1BitString` | `sigBits`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CertificationRequest()`
    `` | `CertificationRequest(ASN1Sequence seq)` Deprecated. use getInstance()
    `` | `CertificationRequest(CertificationRequestInfo requestInfo, AlgorithmIdentifier algorithm, ASN1BitString signature)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CertificationRequestInfo` | `getCertificationRequestInfo()`
    `static CertificationRequest` | `getInstance(java.lang.Object o)`
    `ASN1BitString` | `getSignature()`
    `AlgorithmIdentifier` | `getSignatureAlgorithm()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### reqInfo

          protected CertificationRequestInfo reqInfo

    - #### sigAlgId

          protected AlgorithmIdentifier sigAlgId

    - #### sigBits

          protected ASN1BitString sigBits

  - ### Constructor Detail

    - #### CertificationRequest

          protected CertificationRequest()

    - #### CertificationRequest

          public CertificationRequest(CertificationRequestInfo requestInfo,
                                      AlgorithmIdentifier algorithm,
                                      ASN1BitString signature)

    - #### CertificationRequest

          public CertificationRequest(ASN1Sequence seq)

      Deprecated. use getInstance()

  - ### Method Detail

    - #### getInstance

          public static CertificationRequest getInstance(java.lang.Object o)

    - #### getCertificationRequestInfo

          public CertificationRequestInfo getCertificationRequestInfo()

    - #### getSignatureAlgorithm

          public AlgorithmIdentifier getSignatureAlgorithm()

    - #### getSignature

          public ASN1BitString getSignature()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.